Bug 637385 - SELinux is preventing /usr/bin/python "execstack" access .
SELinux is preventing /usr/bin/python "execstack" access .
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: smolt (Show other bugs)
13
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Mike McGrath
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:639b9615750...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-25 08:00 EDT by Jess
Modified: 2010-09-27 11:54 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-27 11:54:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jess 2010-09-25 08:00:38 EDT
Summary:

SELinux is preventing /usr/bin/python "execstack" access .

Detailed Description:

SELinux denied access requested by smoltSendProfil. It is not expected that this
access is required by smoltSendProfil and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:smoltclient_t:s0-s0:c0.c1023
Target Context                system_u:system_r:smoltclient_t:s0-s0:c0.c1023
Target Objects                None [ process ]
Source                        smoltSendProfil
Source Path                   /usr/bin/python
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           python-2.6.4-27.fc13
Target RPM Packages           
Policy RPM                    selinux-policy-3.7.19-54.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.34.6-54.fc13.i686 #1 SMP
                              Sun Sep 5 17:52:31 UTC 2010 i686 i686
Alert Count                   1
First Seen                    Tue 21 Sep 2010 06:20:02 PM EDT
Last Seen                     Tue 21 Sep 2010 06:20:02 PM EDT
Local ID                      41ca6925-5990-4d31-a8af-47fd30818183
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1285107602.214:1169): avc:  denied  { execstack } for  pid=10438 comm="smoltSendProfil" scontext=system_u:system_r:smoltclient_t:s0-s0:c0.c1023 tcontext=system_u:system_r:smoltclient_t:s0-s0:c0.c1023 tclass=process

node=(removed) type=SYSCALL msg=audit(1285107602.214:1169): arch=40000003 syscall=125 success=no exit=-13 a0=bff1e000 a1=1000 a2=1000007 a3=bff109a4 items=0 ppid=10436 pid=10438 auid=492 uid=492 gid=482 euid=492 suid=492 fsuid=492 egid=482 sgid=482 fsgid=482 tty=(none) ses=109 comm="smoltSendProfil" exe="/usr/bin/python" subj=system_u:system_r:smoltclient_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,smoltSendProfil,smoltclient_t,smoltclient_t,process,execstack
audit2allow suggests:

#============= smoltclient_t ==============
allow smoltclient_t self:process execstack;
Comment 1 Jess 2010-09-25 08:07:48 EDT
yum update
Fatal Python error: pycurl: libcurl link-time version is older than compile-time version
Aborted
Comment 2 Daniel Walsh 2010-09-26 06:41:12 EDT
smolt should definitely not need execstack.
Comment 3 Mike McGrath 2010-09-26 10:26:56 EDT
How do I go about tracing this to an actual line of code?  What even is execstack?
Comment 4 Jess 2010-09-26 20:47:20 EDT
I am done with Fedora... switching to ubuntu....
Comment 5 Mike McGrath 2010-09-26 23:26:17 EDT
(In reply to comment #4)
> I am done with Fedora... switching to ubuntu....

Just to be clear, I was requesting this information from Walsh as he's our resident SELinux guru.  I'm unable to recreate this issue with smolt-1.4.2.2-1.fc13.noarch on F13.  I don't see any steps to reproduce (which would have been requested in the bug template).  Smolt does some strange things to probe for hardware.

You are, of course, free to do what you want.
Comment 6 Daniel Walsh 2010-09-27 09:01:25 EDT
http://danwalsh.livejournal.com/6117.html?thread=23525

Jess if  you have not already switched to ubunto,  Could you execute a command like

find / -exec execstack -q {} \; -print 2> /dev/null | grep ^X 

This should show all libraries that are marked needing execstack.
Comment 7 Jess 2010-09-27 11:11:04 EDT
Daniel,

Thanks but I have already made the move. Good luck to Fedora.

Regards,
Jess

Note You need to log in before you can comment on or make changes to this bug.